package cn.reghao.oss.web.app.db.repository;

import cn.reghao.oss.web.app.model.po.UploadChannel;
import org.springframework.data.jpa.repository.JpaRepository;

import java.util.List;

/**
 * @author reghao
 * @date 2024-02-23 15:05:30
 */
public interface UploadChannelRepository extends JpaRepository<UploadChannel, Integer> {
    int countByCreateBy(int createBy);
    UploadChannel findByChannelIdAndCreateBy(int channelId, int createBy);
    UploadChannel findByPrefixAndCreateBy(String prefix, int createBy);
    List<UploadChannel> findByBindDomain(String domain);
    UploadChannel findByBindDomainAndChannelId(String domain, int channelId);
}
